/*
  Copyright 2012 Marvin Pinto (me@marvinp.ca)

  Licensed under the Apache License, Version 2.0 (the "License"); you may not
  use this file except in compliance with the License.  You may obtain a copy of
  the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
  WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
  License for the specific language governing permissions and limitations under
  the License.
*/
package ca.marvinp.se.entities;

import ca.marvinp.se.entities.ShallowUser;
import ca.marvinp.se.entities.Comment;
import java.util.List;




public class Answer {

  private int question_id;
  private int answer_id;
  private long creation_date;
  private long last_edit_date;
  private long last_activity_date;
  private int score;
  private boolean is_accepted;
  private String body;
  private ShallowUser owner;
  private int up_vote_count;
  private int down_vote_count;
  private List<Comment> comments;


  // Getters
  public int getQuestionId() { return question_id; }
  public int getAnswerId() { return answer_id; }
  public long getCreationDate() { return creation_date; }
  public long getLastEditDate() { return last_edit_date; }
  public long getLastActivityDate() { return last_activity_date; }
  public int getScore() { return score; }
  public boolean isAccepted() { return is_accepted; }
  public String getBody() { return body; }
  public ShallowUser getOwner() { return owner; }
  public int getUpVoteCount() { return up_vote_count; }
  public int getDownVoteCount() { return down_vote_count; }
  public List<Comment> getComments() { return comments; }

}

