/*
  Copyright 2012 Marvin Pinto (me@marvinp.ca)

  Licensed under the Apache License, Version 2.0 (the "License"); you may not
  use this file except in compliance with the License.  You may obtain a copy of
  the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
  WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
  License for the specific language governing permissions and limitations under
  the License.
*/
package ca.marvinp.se.entities;

import ca.marvinp.se.entities.ShallowUser;
import ca.marvinp.se.entities.Answer;
import ca.marvinp.se.entities.Comment;
import java.util.List;



public class Question {

  private int question_id;
  private long creation_date;
  private int score;
  private int answer_count;
  private String title;
  private int up_vote_count;
  private int down_vote_count;
  private int view_count;
  private boolean is_answered;
  private long last_activity_date;
  private String body;
  private List<String> tags;
  private int favorite_count;
  private ShallowUser owner;
  private List<Answer> answers;
  private List<Comment> comments;
  private int accepted_answer_id;
  private long closed_date = -1;
  private int bounty_amount;


  // Getters
  public int getQuestionId() { return question_id; }
  public long getCreationDate() { return creation_date; }
  public int getScore() { return score; }
  public int getAnswerCount() { return answer_count; }
  public String getTitle() { return title; }
  public int getUpVoteCount() { return up_vote_count; }
  public int getDownVoteCount() { return down_vote_count; }
  public int getViewCount() { return view_count; }
  public boolean isAnswered() { return is_answered; }
  public long getLastActivityDate() { return last_activity_date; }
  public String getBody() { return body; }
  public List<String> getTags() { return tags; }
  public int getFavoriteCount() { return favorite_count; }
  public ShallowUser getOwner() { return owner; }
  public List<Answer> getAnswers() { return answers; }
  public List<Comment> getComments() { return comments; }
  public int getAcceptedAnswerId() { return accepted_answer_id; }
  public long getClosedDate() { return closed_date; }
  public int getBountyAmount() { return bounty_amount; }

}

