/*
  Copyright 2012 Marvin Pinto (me@marvinp.ca)

  Licensed under the Apache License, Version 2.0 (the "License"); you may not
  use this file except in compliance with the License.  You may obtain a copy of
  the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
  WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
  License for the specific language governing permissions and limitations under
  the License.
*/
package ca.marvinp.se.misc;



public class Constants {

  // Misc
  public static final String API_KEY = null;
  public static final String Q_FILTER = "!)qyBS5aqScm9pAArRrQc";
  public static final String S_FILTER = "!9WQLCn.aF";
  public static final String QUERY_SORT_FIELD = "creation";
  public static final long ONE_DAY = 86400;
  public static final int WEIGHT_SCALE = 10;
  public static final int WRAP_COLUMN = 72;
  public static final int PREVIEW_LIMIT = 300;
  public static final String PROGRESS_CHAR = "#";
  public static final String README_FILE = "META-INF/QuestionHunter-HELP.txt";

  // Misc messages
  public static final String MSG_LOADING = "Loading: ";
  public static final String MSG_SE_API = "Stack Exchange API: ";

  // Error messages
  public static final String ERR_INVALID_ARGS = "Error: Invalid command "
    +"line arguments.";
  public static final String ERR_BAD_CONFIG = "Error: Something went wrong "
    +"with the settings file.";
  public static final String ERR_NO_DATA = "Error: HTTP query returned no "
    + "data.";
  public static final String ERR_NO_DATA2 = "Error: You have most likely "
    + "exceeded your quota for today - try again in a bit.";
  public static final String ERR_SEEN_WRITE = "Error: Could not write \"seen "
    + "questions\" to disk.";
  public static final String ERR_SEEN_READ = "Error: Could not load \"already "
    + "seen\" questions.";
  public static final String ERR_API_COMM = "Error: API communication error - "
    + "could not retrieve site information.";
  public static final String ERR_BAD_DATA = "Error: HTTP query returned "
    + "invalid data.";

  // Progress bar related
  public static final int PRGB_HTTP = 0;
  public static final int PRGB_REG = 1;

}

