/*
  Copyright 2012 Marvin Pinto (me@marvinp.ca)

  Licensed under the Apache License, Version 2.0 (the "License"); you may not
  use this file except in compliance with the License.  You may obtain a copy of
  the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
  WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
  License for the specific language governing permissions and limitations under
  the License.
*/
package ca.marvinp.se.utils;

import ca.marvinp.se.misc.Constants;



public class ApiTracker {

  private static int numApiCalls;
  private static int maxQuota;
  private static int quotaRemaining;

  public static void printSummary() {
    System.out.println("==========================================");
    System.out.println(Constants.MSG_SE_API
                       + getQuotaRemaining() + "/"
                       + getMaxQuota() + " (used "
                       + "+" + getNumApiCalls() + ")");
    System.out.println("==========================================");
  }

  // Getters
  public static int getNumApiCalls() { return numApiCalls; }
  public static int getMaxQuota() { return maxQuota; }
  public static int getQuotaRemaining() { return quotaRemaining; }

  // Setters
  public static void initialize() { numApiCalls = 0; }
  public static void incrNumApiCalls() { numApiCalls++; }
  public static void setMaxQuota(int q) { maxQuota = q; }
  public static void setQuotaRemaining(int q) { quotaRemaining = q; }
}

