/*
  Copyright 2012 Marvin Pinto (me@marvinp.ca)

  Licensed under the Apache License, Version 2.0 (the "License"); you may not
  use this file except in compliance with the License.  You may obtain a copy of
  the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
  WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
  License for the specific language governing permissions and limitations under
  the License.
*/
package ca.marvinp.se.utils;

import ca.marvinp.se.utils.ApiTracker;
import ca.marvinp.se.misc.Constants;
import javax.net.ssl.HttpsURLConnection;
import java.net.URL;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.zip.GZIPInputStream;
import java.io.InputStream;
import java.io.Reader;



public class HttpQuery {

  public static String getData(String url) {
    StringBuilder sb = new StringBuilder();

    try {
      ProgressBar.update(Constants.PRGB_REG);
      // Sleep here for 100ms so as to prevent being throttled
      Thread.sleep(100);
    } catch (Exception e) {}


    try {
      ProgressBar.update(Constants.PRGB_HTTP);
      URL u = new URL(url);
      HttpsURLConnection conn = (HttpsURLConnection) u.openConnection();
      conn.setReadTimeout(30000);
      ApiTracker.incrNumApiCalls();

      ProgressBar.update(Constants.PRGB_HTTP);
      BufferedReader br;
      InputStream input = conn.getInputStream();
      ProgressBar.update(Constants.PRGB_HTTP);
      if ("gzip".equalsIgnoreCase(conn.getContentEncoding())) {
        input = new GZIPInputStream(input);
        Reader decoder = new InputStreamReader(input);
        br = new BufferedReader(decoder);
      } else {
        br = new BufferedReader(new InputStreamReader(input));
      }

      ProgressBar.update(Constants.PRGB_HTTP);
      String inputLine;
      while ((inputLine = br.readLine()) != null) {
        sb.append(inputLine);
      }

      ProgressBar.update(Constants.PRGB_HTTP);
      input.close();
    } catch(Exception e) {
      return null;
    }
    return sb.toString();
  }

}


